package com.tcctlo.law.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tcctlo.common.annotation.Excel;
import com.tcctlo.common.core.domain.BaseEntity;

/**
 * 商品管理对象 goods
 * 
 * @author 张世琪
 * @date 2025-01-20
 */
public class Goods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String name;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String goodsImage;

    /** 商品文件 */
    @Excel(name = "商品文件")
    private String goodsFile;

    /** 商品价格 */
    @Excel(name = "商品价格")
    private Long price;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGoodsImage(String goodsImage) 
    {
        this.goodsImage = goodsImage;
    }

    public String getGoodsImage() 
    {
        return goodsImage;
    }
    public void setGoodsFile(String goodsFile) 
    {
        this.goodsFile = goodsFile;
    }

    public String getGoodsFile() 
    {
        return goodsFile;
    }
    public void setPrice(Long price) 
    {
        this.price = price;
    }

    public Long getPrice() 
    {
        return price;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("goodsImage", getGoodsImage())
            .append("goodsFile", getGoodsFile())
            .append("price", getPrice())
            .toString();
    }
}
